Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113639 - python-odml: FTBFS in Fedora rawhide/f37
Summary: python-odml: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-odml
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2192609
Blocks: F38FTBFS F39FTBFS F37FTBFS 2107826
TreeView+ depends on / blocked
 
Reported: 2022-08-02 00:07 UTC by Fedora Release Engineering
Modified: 2023-06-01 02:16 UTC (History)
5 users (show)

Fixed In Version: python-odml-1.5.3-4.fc39 python-odml-1.5.3-4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-23 10:13:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 00:07 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 00:07 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 00:08 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github G-Node python-odml issues 417 0 None open Move rdflib dependent code to own library 2022-10-24 13:14:55 UTC

Description Fedora Release Engineering 2022-08-02 00:07:56 UTC
python-odml failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89884906


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix python-odml at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-odml will be orphaned. Before branching of Fedora 38,
python-odml will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 00:07:58 UTC
Created attachment 1902336 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 00:07:59 UTC
Created attachment 1902337 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 00:08:01 UTC
Created attachment 1902338 [details]
state.log

Comment 4 Tomáš Hrnčiar 2022-08-09 10:44:00 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 37.
Action is required from you.

PYC magic number has changed in Python 3.11.0b4, and all packages with Python
bytecode need to be
rebuilt. Most of them were rebuilt during the Fedora 37 mass rebuild, but since
this
package is FTBFS, we were hoping you could fix it and rebuild it manually, or
it will cause subtle issues when used.

Tracking bugzilla for all affected packages:
https://bugzilla.redhat.com/show_bug.cgi?id=2107826

If you can fix your package to build, perform a build in koji, and if
necessary, create
an update in bodhi. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this
Bugzilla report.

Note that Fedora 37 is about to be branched very soon.
If you fix this after branching, make sure to rebuild the package in both
Rawhide (Fedora 38) and Fedora 37.

==============================================

Following the policy for FTBFS packages [1], your package will be orphaned if
this bug remains in a NEW state for more than 8 weeks (not sooner than
2022-09-27).

A week before the mass branching of Fedora 38 according to the
schedule [2],
any packages not successfully rebuilt, at least on Fedora 36 will
be
retired regardless of the status of this bug.

[1]
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[2]
https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

Comment 5 Ben Cotton 2022-08-09 13:32:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 7 Miro Hrončok 2022-08-30 11:24:43 UTC
I've accidentally posted wrong Fedora versions in the previous comment, here is a corrected version:


Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 37.
Action is required from you.

PYC magic number has changed in Python 3.11.0b4, and all packages with Python
bytecode need to be rebuilt. Most of them were rebuilt during the
Fedora 37 mass rebuild, but since this package is FTBFS,
we were hoping you could fix it and rebuild it manually, or
it will cause subtle issues when used.

Tracking bugzilla for all affected packages:
https://bugzilla.redhat.com/show_bug.cgi?id=2107826

If you can fix your package to build, perform a build in koji, and if
necessary, create an update in bodhi.
If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this
Bugzilla report.

Make sure to rebuild the package in both Rawhide (Fedora 38) and Fedora 37.

==============================================

Following the policy for FTBFS packages [1], your package will be orphaned if
this bug remains in a NEW state for more than 8 weeks (not sooner than 
2022-09-27).

A week before the mass branching of Fedora 38 according to the
schedule [2],
any packages not successfully rebuilt, at least on Fedora 36 will
be
retired regardless of the status of this bug.

[1]
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[2]
https://fedorapeople.org/groups/schedule/f-38/f-38-key-tasks.html

Comment 8 Ankur Sinha (FranciscoD) 2022-09-26 13:21:41 UTC
Aniket, would you have time to look into this? Please do respond to let us know---otherwise other NeuroSIG members can take a look.

Comment 9 Sandro 2022-09-29 11:20:54 UTC
It looked like this package FTBFS was due to python-rdflib-jsonld not being available in rawhide. Strangely, I couldn't find a FTBFS bug for python-rdflib-jsonld.

Anyway, I took care of python-rdflib-jsonld and only now discovered that there's a conflict:

Error: 
   Problem: package python3-rdflib-jsonld-0.6.0-6.fc38.noarch conflicts with python3-rdflib >= 6.0.0 provided by python3-rdflib-6.2.0-1.fc38.noarch
    - package python3-owl_rl-6.0.2-3.fc38.noarch requires python3.11dist(rdflib-jsonld), but none of the providers can be installed
    - conflicting requests

python-rdflib was updated from 5.0 to 6.2 in f37 and rawhide.

Comment 10 Sandro 2022-09-29 11:29:48 UTC
The hint, I missed, is in the python-rdflib-jsonld spec file:

# v6.0.0 of rdflib provides rdflib-jsonld itself. This package would not
# be compatible with future releases of rdflib
Conflicts:      python3-rdflib >= 6.0.0

Will dig into this...

Comment 11 Sandro 2022-10-10 21:15:51 UTC
The result of the digging was sent to the mailing list:

https://lists.fedoraproject.org/archives/list/neurofedora@lists.fedoraproject.org/thread/WMSD5KMHJNTSEUS7SAEXVJT4GV7M32FR/

TL;DR: python-rdflib has been updated to 6.2.0 in f37 and rawhide. python-odml pins rdflib to 5.0.0 due to some unresolved issues with the upgrade to >= 6.0.0.

Comment 12 Ankur Sinha (FranciscoD) 2022-10-24 13:14:56 UTC
Upstream intends to update to rdflib 6.x in the next couple of months. Since this is the only package affected, we'll wait for upstream.

Comment 13 Sandro 2022-11-22 11:21:06 UTC
I'm taking this, since I keep an eye on upstream development wrt rdflib anyway.

Comment 14 Ben Cotton 2023-02-07 15:10:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 15 Fedora Update System 2023-05-23 10:10:22 UTC
FEDORA-2023-cbc809dbac has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cbc809dbac

Comment 16 Fedora Update System 2023-05-23 10:12:06 UTC
FEDORA-2023-a8f92b3afa has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a8f92b3afa

Comment 17 Fedora Update System 2023-05-23 10:13:26 UTC
FEDORA-2023-cbc809dbac has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-05-24 01:55:10 UTC
FEDORA-2023-a8f92b3afa has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a8f92b3afa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a8f92b3afa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-06-01 02:16:56 UTC
FEDORA-2023-a8f92b3afa has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.